## isdnutils 3.25+dfsg1

=== Makefile ===
# $Id: Makefile,v 1.65 2008/08/31 11:38:16 keil Exp $
#
# Toplevel Makefile for isdn4k-utils
#

.EXPORT_ALL_VARIABLES:

export I4LVERSION = 3.25

all:	do-it-all

#
# Make "config" the default target if there is no configuration file.
#

# Following line is important for lib and isdnlog (sl).
export ROOTDIR=$(shell pwd)

ifeq (.config,$(wildcard .config))
include .config
do-it-all:      subtargets
else
CONFIGURATION = config
do-it-all:      config
endif

EXTRADIRS = isdnlog/tools/zone isdnlog/tools/dest

BUILD_ONLY :=
SUBDIRS :=
ifeq ($(CONFIG_ISDNLOG),y)
	SUBDIRS := $(SUBDIRS) lib $(EXTRADIRS) isdnlog
	BUILD_ONLY := isdnlog/tools/cdb
else
	ifeq ($(CONFIG_CTRL_CONF),y)
		SUBDIRS := $(SUBDIRS) lib
	endif
endif
ifeq ($(CONFIG_ISDNCTRL),y)
	SUBDIRS := $(SUBDIRS) isdnctrl
endif
ifeq ($(CONFIG_DIVERTCTRL),y)
	SUBDIRS := $(SUBDIRS) divertctrl
endif
ifeq ($(CONFIG_IPROFD),y)
	SUBDIRS := $(SUBDIRS) iprofd
endif
ifeq ($(CONFIG_ICNCTRL),y)
	SUBDIRS := $(SUBDIRS) icn
endif
ifeq ($(CONFIG_HISAXCTRL),y)
	SUBDIRS := $(SUBDIRS) hisax
endif

ifeq ($(CONFIG_RCAPID),y)
	SUBDIRS := $(SUBDIRS) capi20 capiinfo
else
	ifeq ($(CONFIG_AVMCAPICTRL),y)
		SUBDIRS := $(SUBDIRS) capi20 capiinfo
	endif
endif

ifeq ($(CONFIG_AVMCAPICTRL),y)
	SUBDIRS := $(SUBDIRS) avmb1 capiinit
endif
ifeq ($(CONFIG_ACTCTRL),y)
	SUBDIRS := $(SUBDIRS) act2000
endif
ifeq ($(CONFIG_LOOPCTRL),y)
	SUBDIRS := $(SUBDIRS) loop
endif
ifeq ($(CONFIG_EICONCTRL),y)
	SUBDIRS := $(SUBDIRS) eicon
endif
ifeq ($(CONFIG_IMON),y)
	SUBDIRS := $(SUBDIRS) imon
endif
ifeq ($(CONFIG_IMONTTY),y)
	SUBDIRS := $(SUBDIRS) imontty
endif
ifeq ($(CONFIG_IPPPSTATS),y)
	SUBDIRS := $(SUBDIRS) ipppstats
endif
ifeq ($(CONFIG_XMONISDN),y)
	SUBDIRS := $(SUBDIRS) xmonisdn
endif
ifeq ($(CONFIG_XISDNLOAD),y)
	SUBDIRS := $(SUBDIRS) xisdnload
endif
ifeq ($(CONFIG_IPPPD),y)
	SUBDIRS := $(SUBDIRS) ipppd
endif
ifeq ($(CONFIG_VBOX),y)
	SUBDIRS := $(SUBDIRS) vbox
endif
ifeq ($(CONFIG_RCAPID),y)
	SUBDIRS := $(SUBDIRS) rcapid
endif
ifeq ($(CONFIG_CAPIFAX),y)
	SUBDIRS := $(SUBDIRS) capifax
endif
ifeq ($(CONFIG_PPPDCAPIPLUGIN),y)
	SUBDIRS := $(SUBDIRS) pppdcapiplugin
endif
ifeq ($(CONFIG_GENMAN),y)
	SUBDIRS := $(SUBDIRS) doc
endif
ifeq ($(CONFIG_FAQ),y)
	SUBDIRS := $(SUBDIRS) FAQ
endif
ifeq ($(CONFIG_EUROFILE),y)
	SUBDIRS := $(SUBDIRS) eurofile
endif
ifneq ($(SUBDIRS),)
	ifeq ($(filter lib,$(SUBDIRS)),)
		SUBDIRS := lib $(SUBDIRS)
	endif
endif

subtargets: $(CONFIGURATION)
	set -e; for i in `echo $(BUILD_ONLY) $(SUBDIRS)`; do $(MAKE) -C $$i all; done

rootperm:
	@echo 'main(int argc,char**argv){unlink(argv[0]);return(getuid()==0);}'>g
	@if gcc -x c -o G g && rm -f g && ./G ; then \
		/bin/echo -e "\n\n      Need root permission for (de)installation!\n\n"; \
		exit 1; \
	fi

install:
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i install; done
	@: || if [ -c $(DESTDIR)/dev/isdnctrl0 ] && ls -l $(DESTDIR)/dev/isdnctrl0 | egrep "[[:space:]]45,[[:space:]]+64[[:space:]]" > /dev/null; \
	then \
		/bin/echo -e '(some) ISDN devices already exist, not creating them.\nUse scripts/makedev.sh manually if necessary.'; \
	else \
		sh scripts/makedev.sh $(DESTDIR) ; \
	fi

uninstall: rootperm
	set -e; for i in `echo $(SUBDIRS)`; do $(MAKE) -C $$i uninstall; done

#
# targets clean and distclean go through ALL directories
# regardless of configured options.
#
clean:
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		$(MAKE) -i -C `dirname $$i` clean; \
	done;
	for i in `echo $(BUILD_ONLY) $(EXTRADIRS)`; do \
		if [ -f $$i/Makefile ]; then $(MAKE) -i -C $$i clean; fi; \
	done;
	-rm -f *~ *.o

distclean: clean
	-$(MAKE) -C scripts/lxdialog clean
	-set -e; \
	for i in `echo ${wildcard */GNUmakefile}`; do \
		$(MAKE) -i -C `dirname $$i` distclean; \
	done;
	-set -e; \
	for i in `echo ${wildcard */Makefile}`; do \
		if [ -f $$i ] ; then \
			$(MAKE) -i -C `dirname $$i` distclean; \
		fi ; \
	done;
	for i in `echo $(BUILD_ONLY) $(EXTRADIRS)`; do \
		if [ -f $$i/Makefile ]; then $(MAKE) -i -C $$i distclean; fi; \
	done;
	-rm -f *~ .config .config.old scripts/autoconf.h .menuconfig \
		Makefile.tmp .menuconfig.log scripts/defconfig.old
	find . -name '.#*' -exec rm -f {} \;

scripts/lxdialog/lxdialog:
	@$(MAKE) -C scripts/lxdialog all

scripts/autoconf.h: .config
	perl scripts/mk_autoconf.pl

cfgerror:
	@echo ""
	@echo "WARNING! Configure in $(ERRDIR) failed, disabling package"
	@echo ""
	@sleep 1
	@cp etc/Makefile.disabled $(ERRDIR)/Makefile

# Next target makes three attempts to configure:
#  - if a configure script exists, execute it
#  - if a Makefile.in exists, make -f Makefile.in config
#  - if a Makefile already exists, make config
#
subconfig: scripts/autoconf.h
	@echo Selected subdirs: $(BUILD_ONLY) $(SUBDIRS)
	@set -e; for i in `echo $(BUILD_ONLY) $(SUBDIRS)`; do \
		if [ $$i = eicon ] ; then \
			/bin/echo -e "\nRunning configure in $$i ...\n"; sleep 1; \
			(cd $$i; ./configure --with-sbin=$(CONFIG_SBINDIR) --bindir=$(CONFIG_BINDIR) --with-man=$(CONFIG_MANDIR) --datadir=$(CONFIG_DATADIR) --libdir=$(CONFIG_LIBDIR) --with-firmware=$(CONFIG_DATADIR) || $(MAKE) -C ../ ERRDIR=$$i cfgerror); \
		elif [ -x $$i/configure ] ; then \
			/bin/echo -e "\nRunning configure in $$i ...\n"; sleep 1; \
			(cd $$i; ./configure --sbindir=$(CONFIG_SBINDIR) --bindir=$(CONFIG_BINDIR) --mandir=$(CONFIG_MANDIR) --datadir=$(CONFIG_DATADIR) --libdir=$(CONFIG_LIBDIR) || $(MAKE) -C ../ ERRDIR=$$i cfgerror); \
		elif [ -f $$i/Makefile.in ] ; then \
			/bin/echo -e "\nRunning make -f Makefile.in config in $$i ...\n"; sleep 1; \
			$(MAKE) -C $$i -f Makefile.in config; \
		elif [ -f $$i/Makefile ] ; then \
			/bin/echo -e "\nRunning make config in $$i ...\n"; sleep 1; \
			$(MAKE) -C $$i config; \
		fi; \
	done

#
# Next target uses a second tempory Makefile
# because new .config has to be re-included.
#
menuconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in
	@cp Makefile Makefile.tmp
	$(MAKE) -f Makefile.tmp subconfig
	@rm -f Makefile.tmp

#
# For testing: runs Menuconfig only
#
testconfig: scripts/lxdialog/lxdialog
	@scripts/Menuconfig scripts/config.in

config: menuconfig

mrproper: distclean

archive: distclean
	@(ln -nvfs $(ROOTDIR) ../isdn4k-utils-$(I4LVERSION) ;\
	mkdir -p ../distisdn ;\
	tar cvhzf ../distisdn/isdn4k-utils-$(I4LVERSION).tar.gz --exclude-vcs ../isdn4k-utils-$(I4LVERSION) ;\
	rm ../isdn4k-utils-$(I4LVERSION) )

distarch: distclean
	(ln -nvfs $(ROOTDIR) ../isdn4k-utils-$(I4LVERSION) ;\
	mkdir -p ../distisdn ;\
	tar -cvhz -X distexclude -f ../distisdn/isdn4k-utils-$(I4LVERSION).tar.gz \
	--exclude-vcs ../isdn4k-utils-$(I4LVERSION) ;\
	rm ../isdn4k-utils-$(I4LVERSION) )

dist: distarch

=== lib/Makefile ===
##
## Makefile for library for isdn4linux
##

##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 2, or (at your option)
## any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

ifndef ROOTDIR
export ROOTDIR=$(shell pwd)
PREFIXDIR =.
else
PREFIXDIR =$(ROOTDIR)
endif

######################################################################
# USER CONFIGURATION AREA
######################################################################

CFLAGS      = -g -Wall -pipe #-O6
DEFS        =
ifndef _CC
export _CC  = gcc
endif
CC          = $(_CC)

export I4LCONFDIR

######################################################################
# DON'T EDIT BELOW THIS LINE
######################################################################

SUBDIRS  = 

DEFS    += -I$(PREFIXDIR)

%.o: %.c
	$(CC) $(CFLAGS) $(DEFS) -fno-strict-aliasing -fPIC -c -o $@ $<

all: .depend libisdn.a

depend dep: .depend

.depend:
		$(CPP) -M $(CFLAGS) $(DEFS) *.c >.depend

clean:
		-rm -f *.o *.a

distclean: clean
		-rm -f .depend policy.h

install: depend all

deinstall: distclean

libisdn.a: conffile.o isdntools.o libtools.o 
		ar rs libisdn.a isdntools.o conffile.o libtools.o 
		ranlib libisdn.a

ifeq (.depend,$(wildcard .depend))
include .depend
#HEADERS := $(HEADERS) .depend
endif

=== ttyId/Makefile ===
# $Id: Makefile,v 1.2 2000/09/14 19:31:52 paul Exp $

VERSION = 0.1

libdir          = $(exec_prefix)/lib

CC              = gcc
CCFLAGS        = -O -Wall -I.
LINK            = $(CC)

CFLAGS		=	$(CCFLAGS) \
			-DVERSION=\"$(VERSION)\"

LDFLAGS         = -L$(libdir)


MAKE		=	make
MKDIR		=	mkdir -p -m 755
STRIP		=	strip
RM		=	rm
INSTALL		=	install -c -o root -g root -m 700
INSTALL2	=	install -c -o root -g root -m 600

all:			ttyId

MAINOBJS        =	main.o pty.o utils.o profile.o emulator.o \
			communicate.o

ttyId:			$(MAINOBJS)
			$(CC) $(MAINOBJS) -o ./ttyId

clean:			ignore	
			@find . -name '*.o' -exec $(RM) {} ';'

distclean:		clean
			rm -f ttyId

ignore:

=== eurofile/src/Makefile ===
# $Id: Makefile,v 1.4 2002/07/19 21:23:53 keil Exp $

SHELL = /bin/sh


-include ../Rules.make

CURRENT_DIR := $(shell pwd)

#
# passed down to sub-makefiles to communicate location of eft
# related libraries and header files  
#
EFT_LIBDIR  = $(CURRENT_DIR)/eft
EFT_INCDIR  = $(CURRENT_DIR)/eft/include
EFT_AUTHDIR = $(CURRENT_DIR)/wuauth

CFLAGS += -g -Wall

export EFT_LIBDIR EFT_INCDIR EFT_AUTHDIR CONFIG_EFTP_READLINE CONFIG_EFTD_WUAUTH CRYPTLIB CFLAGS  INSTALL INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA SYSVINIT_RC_DIR prefix exec_prefix bindir sbindir BINDIR SBINDIR CONFIG_EFTP_SETUID

LIBDIRS    = eft  wuauth
CLIENTDIRS = eftp
SERVERDIRS = eftd 
TESTDIRS   = testing
EFTDIRS    = $(CLIENTDIRS) $(SERVERDIRS) 

BASIC_SUBDIRS := $(LIBDIRS) $(EFTDIRS)
ALL_SUBDIRS := $(BASIC_SUBDIRS) $(TESTDIRS)


ifeq ($(CONFIG_EFTP),y)
APP_SUBDIRS += eftp
endif

ifeq ($(CONFIG_EFTD),y)
APP_SUBDIRS += eftd
endif

DEFAULT_SUBDIRS := $(LIBDIRS)
DEFAULT_SUBDIRS += $(APP_SUBDIRS)

default: $(DEFAULT_SUBDIRS) 	
#	echo $(DEFAULT_SUBDIRS)
#	echo $(MAKEFLAGS)
#

all: $(ALL_SUBDIRS)

$(CLIENTDIRS): eft

$(SERVERDIRS) testing: $(LIBDIRS)

$(ALL_SUBDIRS): FORCE
	$(MAKE) -C $@

FORCE:

clean:
	for i in $(ALL_SUBDIRS); do $(MAKE) -C $$i clean; done

distclean: clean
	rm -f config.h `find . \( -name '*~' -o -name '#*#' -o -name core \)`

install: $(APP_SUBDIRS) 
ifneq ($(APP_SUBDIRS),)
	for i in $(APP_SUBDIRS); do $(MAKE) -C $$i install; done
endif

new_version:
	make -C eft new_version

.PHONY: default all clean distclean install FORCE new_version

=== scripts/lxdialog/Makefile ===
CC = gcc
CPP = gcc -E
OPTIM = -O2 -Wall -fomit-frame-pointer

CFLAGS = $(OPTIM) -DLOCALE 
LDFLAGS = -s -L .
LDLIBS = -lncurses

ifeq (/usr/include/ncurses/ncurses.h, $(wildcard /usr/include/ncurses/ncurses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses.h>"
else
ifeq (/usr/include/ncurses/curses.h, $(wildcard /usr/include/ncurses/curses.h))
        CFLAGS += -I/usr/include/ncurses -DCURSES_LOC="<ncurses/curses.h>"
else
ifeq (/usr/include/ncurses.h, $(wildcard /usr/include/ncurses.h))
        CFLAGS += -DCURSES_LOC="<ncurses.h>"
else
	CFLAGS += -DCURSES_LOC="<curses.h>"
endif
endif
endif


OBJS = checklist.o menubox.o textbox.o yesno.o inputbox.o \
       util.o lxdialog.o msgbox.o
SRCS = $(OBJS:.o=.c)


all: ncurses lxdialog

lxdialog: $(OBJS)

ncurses:
	@x=`find /lib/ /usr/lib/ /usr/local/lib/ -maxdepth 2 -name 'libncurses.*'` ;\
	if [ ! "$$x" ]; then \
		/bin/echo -e "\007" ;\
		echo ">> Unable to find the Ncurses libraries." ;\
		echo ">>" ;\
		echo ">> You must have Ncurses installed in order" ;\
		echo ">> to use 'make menuconfig'" ;\
		echo ;\
		exit 1 ;\
	fi

clean:
	rm -f core *.o *~ lxdialog

=== eurofile/src/eft/Makefile ===
# $Id: Makefile,v 1.4 2006/01/15 15:08:54 keil Exp $

TDU_M_OBJ = master.o
TDU_S_OBJ = slave.o echo_pos.o
TDU_OBJ = tdu.o tdu_user.o fileheader.o transfer.o tdu_log.o sbv.o \
	tdu_buf.o tdu_stream.o access.o assoc.o

EFT_M_OBJ = eft_client.o 
EFT_S_OBJ = eft_server.o eft_i4l.o
EFT_OBJ = eft.o eft_dir.o eft_names.o eft_tmpfile.o

OBJECTS = $(TDU_M_OBJ) $(TDU_S_OBJ) $(TDU_OBJ) $(EFT_M_OBJ) $(EFT_S_OBJ) $(EFT_OBJ) 

CPPFLAGS += -Iinclude

all: libeft.a

libeft.a: $(OBJECTS)
	-rm -f libeft.a
	ar -cq libeft.a $(OBJECTS)

$(OBJECTS): include/tdu_user.h tdu.h

$(EFT_OBJ) $(EFT_M_OBJ) $(EFT_S_OBJ): include/eft.h eft_private.h

tdu_log.o tdu_stream.o fileheader.o eft.o eft_client.o eft_server.o eft_dir.o: fileheader.h

eft_i4l.o: ../config.h

tdu.o eft.o: extra_version_.h

extra_version_.h: make_extra_version.sh $(E4L_EXTRA_VERSION_DEP)
	./make_extra_version.sh $(E4L_EXTRA_VERSION_DEP) > extra_version_.h

clean:
	rm -f *.o *~ libeft.a extra_version_.h

new_version:
	sed 's/^#define[ 	]*E4L_VERSION.*/#define E4L_VERSION "$(NEW_VERSION)"/' < include/tdu_user.h > tmp.h
	mv tmp.h include/tdu_user.h
	./make_extra_version.sh - > extra_version_.h


.PHONY: new_version clean

=== isdnlog/client/src/Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.2 from Makefile.am

# Copyright (C) 1994, 1995, 1996, 1997 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy, distribute and modify it.

# this 10 paths are KDE specific. Use them:
# kde_htmldir       Where your docs should go to. (contains lang subdirs)
# kde_appsdir       Where your application file (.kdelnk) should go to. 
# kde_icondir       Where your icon should go to.
# kde_minidir       Where your mini icon should go to.
# kde_datadir       Where you install application data. (Use a subdir)
# kde_locale        Where translation files should go to.(contains lang subdirs)
# kde_cgidir        Where cgi-bin executables should go to.
# kde_confdir       Where config files should go to.
# kde_mimedir       Where mimetypes should go to.
# kde_toolbardir    Where general toolbar icons should go to.
# kde_wallpaperdir  Where general wallpapers should go to.

# just set the variable


SHELL = /bin/sh

srcdir = .
top_srcdir = ..
prefix = /opt/kde
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

pkgdatadir = $(datadir)/kisdnlog
pkglibdir = $(libdir)/kisdnlog
pkgincludedir = $(includedir)/kisdnlog

top_builddir = ..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL}
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = true
PRE_INSTALL = true
POST_INSTALL = true
NORMAL_UNINSTALL = true
PRE_UNINSTALL = true
POST_UNINSTALL = true
build_alias = i586-pc-linux-gnu
build_triplet = i586-pc-linux-gnu
host_alias = i586-pc-linux-gnu
host_triplet = i586-pc-linux-gnu
target_alias = i586-pc-linux-gnu
target_triplet = i586-pc-linux-gnu
CC = gcc
CFLAGS = -g -Wall -DDEBUG
CPP = gcc -E
CXX = c++
CXXFLAGS = -g -Wall -DDEBUG
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = /usr/bin/msgfmt
KDE_INCLUDES = -I/opt/kde/include
KDE_LDFLAGS = -L/opt/kde/lib
LDFLAGS = 
LIBCOMPAT = 
LIBJPEG = -L${topdir} -ljpegkde
LIBOBJS = @LIBOBJS@
LIBSOCKET = 
LN_S = ln -s
MAKEINFO = makeinfo
MOC = /usr/bin/moc
MSGFMT = /usr/bin/msgfmt
PACKAGE = kisdnlog
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
QT_INCLUDES = -I/usr/lib/qt/include
QT_LDFLAGS = -L/usr/lib
RANLIB = @RANLIB@
USE_NLS = yes
VERSION = 0.1
XGETTEXT = /usr/bin/xgettext
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
all_includes = -I/opt/kde/include -I../.. -I../../tools -I../../connect -I../../../lib -I/usr/lib/qt/include -I/usr/X11R6/include
all_libraries = -L/opt/kde/lib ../../connect/*.o  ../../../lib/libisdn.a -L/usr/lib -L/usr/X11R6/lib
kde_appsdir = $(prefix)/share/applnk
kde_cgidir = $(prefix)/cgi-bin
kde_confdir = $(prefix)/share/config
kde_datadir = $(prefix)/share/apps
kde_htmldir = $(prefix)/share/doc/HTML
kde_icondir = $(prefix)/share/icons
kde_includes = /opt/kde/include
kde_libraries = /opt/kde/lib
kde_locale = $(prefix)/share/locale
kde_mimedir = $(prefix)/share/mimelnk
kde_minidir = $(prefix)/share/icons/mini
kde_toolbardir = $(prefix)/share/toolbar
kde_wallpaperdir = $(prefix)/share/wallpaper
qt_includes = /usr/lib/qt/include
qt_libraries = /usr/lib
topdir = /home/global/misc/develop/c/isdn4k-utils/isdnlog/client

APPSDIR = $(kde_appsdir)/Utilities
# set the include path for X, qt and KDE
INCLUDES= -I/opt/kde/include -I../.. -I../../tools -I../../connect -I../../../lib -I/usr/lib/qt/include -I/usr/X11R6/include
# claim, which subdirectories you want to install
# SUBDIRS = doc

bin_PROGRAMS = 	kisdnlog

kisdnlog_SOURCES	= functions.cpp kcalls.cpp kcurcalls.cpp koldcalls.cpp kchan.cpp kconnect.cpp khost.cpp kisdnlog.h klogo.cpp klog.cpp klogwin.cpp kmenu.cpp kmessage.cpp ksplit.cpp kthruput.cpp main.cpp message.cpp message.h messagenr.h mkisdnlog.cpp

# the library search path
kisdnlog_LDFLAGS = -L/opt/kde/lib ../../connect/*.o  ../../../lib/libisdn.a -L/usr/lib -L/usr/X11R6/lib

# the libraries to link against. Be aware of the order. First the libraries,
# that depend on the following ones.
kisdnlog_LDADD   = -lkdecore -lkdeui -lqt -lX11 -lXext 

# this option you can leave out. Just, if you use "make dist", you need it
noinst_HEADERS = 

# just to make sure, automake makes them 
BUILTSOURCES =	mkisdnlog.cpp

# if you "make distclean", this files get removed. If you want to remove
# them while "make clean", use CLEANFILES
DISTCLEANFILES = $(BUILTSOURCES)
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(bin_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I..
CPPFLAGS = 
LIBS = 
kisdnlog_OBJECTS =  functions.o kcalls.o kcurcalls.o koldcalls.o kchan.o \
kconnect.o khost.o klogo.o klog.o klogwin.o kmenu.o kmessage.o ksplit.o \
kthruput.o main.o message.o mkisdnlog.o
kisdnlog_DEPENDENCIES = 
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
CXXLINK = $(CXX) $(CXXFLAGS) $(LDFLAGS) -o $@
HEADERS =  $(noinst_HEADERS)

DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP = --best
DEP_FILES =  .deps/functions.P .deps/kcalls.P .deps/kchan.P \
.deps/kconnect.P .deps/kcurcalls.P .deps/khost.P .deps/klog.P \
.deps/klogo.P .deps/klogwin.P .deps/kmenu.P .deps/kmessage.P \
.deps/koldcalls.P .deps/ksplit.P .deps/kthruput.P .deps/main.P \
.deps/message.P .deps/mkisdnlog.P
CXXMKDEP = $(CXX) -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CXXFLAGS)
SOURCES = $(kisdnlog_SOURCES)
OBJECTS = $(kisdnlog_OBJECTS)

default: all

.SUFFIXES:
.SUFFIXES: .c .cpp .o
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu src/Makefile

Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-binPROGRAMS:

clean-binPROGRAMS:
	test -z "$(bin_PROGRAMS)" || rm -f $(bin_PROGRAMS)

distclean-binPROGRAMS:

maintainer-clean-binPROGRAMS:

install-binPROGRAMS: $(bin_PROGRAMS)
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)$(bindir)
	@list='$(bin_PROGRAMS)'; for p in $$list; do \
	  if test -f $$p; then \
	    echo "  $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`"; \
	     $(INSTALL_PROGRAM) $$p $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	  else :; fi; \
	done

uninstall-binPROGRAMS:
	$(NORMAL_UNINSTALL)
	list='$(bin_PROGRAMS)'; for p in $$list; do \
	  rm -f $(DESTDIR)$(bindir)/`echo $$p|sed '$(transform)'`; \
	done

.c.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	rm -f *.o core

clean-compile:

distclean-compile:
	rm -f *.tab.c

maintainer-clean-compile:

kisdnlog: $(kisdnlog_OBJECTS) $(kisdnlog_DEPENDENCIES)
	@rm -f kisdnlog
	$(CXXLINK) $(kisdnlog_LDFLAGS) $(kisdnlog_OBJECTS) $(kisdnlog_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES)
	here=`pwd` && cd $(srcdir) && mkid -f$$here/ID $(SOURCES) $(HEADERS)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES)
	tags=; \
	here=`pwd`; \
	test -z "$(ETAGS_ARGS)$(SOURCES)$(HEADERS)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $(SOURCES) $(HEADERS) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = src

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu src/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  test -f $(distdir)/$$file \
	  || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	  || cp -p $$d/$$file $(distdir)/$$file; \
	done

MKDEP = gcc -M $(DEFS) $(INCLUDES) $(CPPFLAGS) $(CFLAGS)

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)
-include .deps/.P
.deps/.P: $(BUILT_SOURCES)
	echo > $@

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:

maintainer-clean-depend:
	rm -rf .deps

.deps/%.P: %.c
	@echo "Computing dependencies for $<..."
	@o='o'; \
	test -n "$o" && o='$$o'; \
	$(MKDEP) $< >$@.tmp \
	  && sed "s,^\(.*\)\.o:,\1.$$o \1.l$$o $@:," < $@.tmp > $@ \
	  && rm -f $@.tmp

.deps/%.P: %.cpp
	@echo "Computing dependencies for $<..."
	@o='o'; \
	$(CXXMKDEP) $< >$@.tmp \
	  && sed "s,^\(.*\)\.o:,\1.$$o \1.l$$o $@:," < $@.tmp > $@ \
	  && rm -f $@.tmp
info:
dvi:
check: all
	$(MAKE)
installcheck:
install-exec: install-binPROGRAMS
	@$(NORMAL_INSTALL)

install-data: install-data-local
	@$(NORMAL_INSTALL)

install: install-exec install-data all
	@:

uninstall: uninstall-binPROGRAMS uninstall-local

all: Makefile $(PROGRAMS) $(HEADERS)

install-strip:
	$(MAKE) INSTALL_PROGRAM='$(INSTALL_PROGRAM) -s' INSTALL_SCRIPT='$(INSTALL_PROGRAM)' install
installdirs:
	$(mkinstalldirs)  $(bindir)


mostlyclean-generic:
	test -z "$(MOSTLYCLEANFILES)" || rm -f $(MOSTLYCLEANFILES)

clean-generic:
	test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	rm -f Makefile $(DISTCLEANFILES)
	rm -f config.cache config.log stamp-h stamp-h[0-9]*
	test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)

maintainer-clean-generic:
	test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
	test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
mostlyclean:  mostlyclean-binPROGRAMS mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

clean:  clean-binPROGRAMS clean-compile clean-tags clean-depend \
		clean-generic mostlyclean

distclean:  distclean-binPROGRAMS distclean-compile distclean-tags \
		distclean-depend distclean-generic clean
	rm -f config.status

maintainer-clean:  maintainer-clean-binPROGRAMS maintainer-clean-compile \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

.PHONY: default mostlyclean-binPROGRAMS distclean-binPROGRAMS \
clean-binPROGRAMS maintainer-clean-binPROGRAMS uninstall-binPROGRAMS \
install-binPROGRAMS mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info dvi \
installcheck install-exec install-data install uninstall all \
installdirs mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean


# make messages.po. Move this one to ../po/ and "make merge" in po
messages:
	$(XGETTEXT) -C -ktranslate $(kisdnlog_SOURCES)

# just install datas here. Use install-exec-data for scripts and etc.
# the binary itself is already installed from automake
# use mkinstalldirs, not "install -d"
# don't install a list of file. Just one file per install.
# if you have more of them, create a subdirectory with an extra Makefile 
install-data-local: 
	$(mkinstalldirs) $(APPSDIR)
	$(INSTALL_DATA) Kisdnlog.kdelnk $(APPSDIR)

# remove ALL you have installed in install-data-local or install-exec-local
uninstall-local:
	-rm -f $(APPSDIR)/Kisdnlog.kdelnk

# add a dependency for every moc file to be full portable
# I've added a key binding to emacs for this. 
mkisdnlog.cpp: kisdnlog.h
	$(MOC) kisdnlog.h -o mkisdnlog.cpp

# Tell versions [3.59,3.63) of GNU make to not export all variables.

=== isdnlog/isdnlog/ilp/Makefile ===
# Makefile

# adjust here (look at /usr/src/linux/Makefile)
CC=gcc -V2.7.2.3

FLAGS := -Wall -DMODULE -D__KERNEL__ -DLINUX -O2

modilp.o:	modilp.c /usr/include/linux/version.h Makefile
	$(CC) $(FLAGS) -c modilp.c

ilp:	ilp.c
	$(CC) -Wall -g -DSTANDALONE ilp.c -o ilp

clean:
	rm *.o *~ ilp

distlean:
	clean

=== isdnlog/isdnlog/kernel_2_0/Makefile ===
# Makefile for iiocnetgpn.c
# look at /usr/src/linux/Makefile for your kernel compiler
#
iiocnetgpn.o: iiocnetgpn.c
	cc -c -V2.7.2.3 -O2 -Wall -g -I/usr/src/linux/include iiocnetgpn.c

clean:
	rm *.o *~

=== debian/changelog ===
isdnutils (1:3.25+dfsg1-9ubuntu3) cosmic; urgency=medium

  * No-change rebuild for ncurses soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 03 May 2018 14:16:10 +0000

isdnutils (1:3.25+dfsg1-9ubuntu2) bionic; urgency=medium

  * No-change rebuild against latest ppp

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 23 Feb 2018 21:54:09 -0500

isdnutils (1:3.25+dfsg1-9ubuntu1) artful; urgency=low

  * Merge from Debian Sid. Remaining changes:
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used
        in Debian, /etc/modprobe.d/capiutils.conf.
    - debian/event.d-ttyI0, debian/event.d-ttyI1,
      debian/isdnutils-base.examples, debian/isdnvboxserver.examples:
      + Add examples scripts, which need to be installed in /etc/*.
      + The two upstart scripts need to be edited.
      + Further improvements and documentation welcome.
    - debian/ipppd.maintscript:
      + Handle rename of /etc/ppp/ip-down.d/99-ipppd and
        /etc/ppp/ip-up.d/00-ipppd to /etc/ppp/ip-down.d/ipppd
        and /etc/ppp/ip-up.d/ipppd.
    - debian/isdnutils-base.cron.d:
      + Drop, it isn't a cronjob example at all
        but an inittab example gone astray.
    - debian/isdnvboxserver.postinst:
      + Remove dependencies on /etc/inittab.
      + Disable the installation code to modify /etc/inittab.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 28 Sep 2017 16:41:27 -0500

isdnutils (1:3.25+dfsg1-9) unstable; urgency=high

  * Fix data loss in capifaxrecvd upon concurrent receive.
    Closes: #586932
  * Fix makedest when running with Perl's unsafe include disabled.
    Closes: #871723
  * Use install -D when installing files. Closes: #876688

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Tue, 26 Sep 2017 00:01:40 +0200

isdnutils (1:3.25+dfsg1-8ubuntu1) artful; urgency=medium

  * Merge from Debian Sid (LP: #1707146). Remaining changes:
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used
        in Debian, /etc/modprobe.d/capiutils.conf.
    - debian/event.d-ttyI0, debian/event.d-ttyI1,
      debian/isdnutils-base.examples, debian/isdnvboxserver.examples:
      + Add examples scripts, which need to be installed in /etc/*.
      + The two upstart scripts need to be edited.
      + Further improvements and documentation welcome.
    - debian/ipppd.maintscript:
      + Handle rename of /etc/ppp/ip-down.d/99-ipppd and
        /etc/ppp/ip-up.d/00-ipppd to /etc/ppp/ip-down.d/ipppd
        and /etc/ppp/ip-up.d/ipppd.
    - debian/isdnutils-base.cron.d:
      + Drop, it isn't a cronjob example at all
        but an inittab example gone astray.
    - debian/isdnvboxserver.postinst:
      + Remove dependencies on /etc/inittab.
      + Disable the installation code to modify /etc/inittab.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Fri, 28 Jul 2017 03:29:22 -0500

isdnutils (1:3.25+dfsg1-8) unstable; urgency=medium

  * Adopt package. Closes: #661110
  * Packaging cleanup
  * mkzonedb: Check for mandatory parameters. Closes: #716098
  * xmonisdn: Avoid stack underflow. Closes: #749898
  * Mark cities in Canada as Canadian. Closes: #626188
  * isdnutils-base: Exit zero from reload if an unsupported service
    was provided

 -- Christoph Biedl <debian.axhn@manchmal.in-ulm.de>  Sun, 22 Jan 2017 21:33:59 +0100

isdnutils (1:3.25+dfsg1-7) unstable; urgency=medium

  * QA upload.
  * Set Maintainer to Debian QA Group.  (See: #661110)
  * Merge changes from experimental.  (Closes: #777088)
  * Merge from Ubuntu:
    - debian/capi.conf:
      + Fix typo for fcdsl2 firmware.
    - debian/control:
      + Switch Build-Depends libreadline-dev to libreadline-gplv2-dev
        since this package appears to be GPLv2.
    - debian/patches/capifax*.patch:
      + Apply patches that were preserved in the 3.0 (quilt)
        migration, but were inadvertently not applied.
    - debian/patches/no-imake.patch:
      + Don't build xisdnload/xmonisdn using xmkmf/imake. This patch
        was dropped in Debian without explanation. It still applies
        and seems to still be a good idea for eventual upstreaming,
        since imake is quite obsolete.
  * Do not ship duplicate files.
  * fix-typos.patch: New, fix typos found by Lintian.
  * format-security.patch: New, fix problems found by -Werror=format-security.
  * hardening.patch: New, ensure all compiler and linker flags are used.
  * Enable hardened build flags.  (Closes: #674452)
  * Update lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 18 Sep 2016 15:42:19 +0200

isdnutils (1:3.25+dfsg1-6) experimental; urgency=low

  * backport upstream commit 5693e612 and 630b98e. Closes: #696830
    Many thanks to Hilko Bengen for providing the patches

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Sun, 06 Jan 2013 01:00:01 +0100

isdnutils (1:3.25+dfsg1-5) experimental; urgency=low

  [ Rolf Leggewie ]
  * debian/control: let libcapi20-dev conflict with older version of
    isdnutils-base. Closes: #671297

  [ Christoph Biedl ]
  * isdnlog: make sure postinst works as expected on package upgrades.
    Closes: #696532
  * unbreak debian/{ipppd,isdnlog}.config once more. Closes: #696660

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Tue, 25 Dec 2012 23:42:42 +0100

isdnutils (1:3.25+dfsg1-4) experimental; urgency=low

  * debian/patches: backport upstream commit 02e6f83. Closes: #689421
    delete duplicate definition of get_byte from rcapid

 -- Rolf Leggewie <foss@rolf.leggewie.biz>  Mon, 19 Nov 2012 23:21:57 +0100

isdnutils (1:3.25+dfsg1-3.7ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - debian/capi.conf:
      + Fix typo for fcdsl2 firmware.
    - debian/capiutils.maintscript:
      + Handle migrating the blacklist file from
        /etc/modprobe.d/blacklist-capiutils.conf to the path used


=== debian/control ===
Source: isdnutils
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Christoph Biedl <debian.axhn@manchmal.in-ulm.de>
Homepage: https://www.isdn4linux.de
Standards-Version: 3.9.3
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/isdnutils.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/isdnutils.git
Build-Depends: debhelper (>= 10~),
    autoconf,
    automake,
    autotools-dev,
    bzip2,
    groff,
    libcapi20-dev,
    libncurses5-dev | libncurses-dev,
    libpcap0.8-dev,
    libreadline-gplv2-dev,
    libssl-dev,
    libtool,
    libxaw7-dev,
    linuxdoc-tools,
    po-debconf,
    ppp-dev (>= 2.4.7-1+~),
    psutils,
    tcl8.6-dev,
Priority: extra
Section: utils

Package: isdnutils-base
Architecture: linux-any
Pre-Depends:
    debconf,
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
    lsb-base,
    makedev,
Suggests:
    ipppd,
    isdnlog,
    isdnutils-doc,
    isdnutils-xtools,
    isdnvboxclient,
    isdnvboxserver,
Priority: optional
Description: ISDN utilities - minimal set
 This package provides the basic set of ISDN utilities needed to make use
 of an ISDN card.

Package: isdnutils-xtools
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    isdnutils-base (= ${binary:Version}),
Section: x11
Description: ISDN utilities - graphical tools
 This package provides xmonisdn and xisdnload, which are graphical tools
 for ISDN. Each in its own way gives a visual indication of the status of
 the ISDN lines, so that (for example) it is obvious when there is a
 connection.
 .
 They have been split out into a separate package to allow the others
 in the suite to avoid dependencies on the X Window System.

Package: ipppd
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnutils-base (= ${binary:Version}),
    ppp,
    ucf,
Suggests:
    pdnsd,
Section: net
Description: ISDN utilities - PPP daemon
 This package provides the specially modified version of the Point to
 Point Protocol daemon needed to connect to the Internet through an
 internal ISDN card. It also supports dial-in connections from Windows
 clients.

Package: isdnlog
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnlog-data (>= ${source:Version}),
    isdnutils-base (= ${binary:Version}),
    ucf,
Description: ISDN utilities - connection logger
 This package provides a set of utilities that can log ISDN connections and
 calculate the cost of calls. If sufficient data is available, it can even
 recommend which alternate carrier would have been cheaper for a given call.
 For countries where calls are charged per discrete unit, it can disconnect
 the line just before the next unit starts.

Package: isdnlog-data
Architecture: all
Depends: ${misc:Depends},
Recommends:
    isdnlog (>= ${source:Version}),
Suggests:
    isdnutils-doc,
Multi-Arch: foreign
Description: ISDN utilities - connection logger data
 This package provides data related to call pricing, area codes, etcetera,
 in various countries, and is only useful with isdnlog.

Package: isdnutils-doc
Architecture: all
Depends: ${misc:Depends},
Suggests:
    isdnutils-base (= ${source:Version}),
Section: doc
Description: ISDN utilities - documentation
 This package includes the FAQ and other miscellaneous documentation
 for the ISDN utilities suite, in English and German.

Package: isdnvbox
Architecture: linux-any
Depends: ${misc:Depends},
    isdnvboxclient,
    isdnvboxserver,
Recommends:
    sox,
Description: ISDN utilities - answering machine dependency package
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package depends for convenience on both the vbox server (with which
 the messages are recorded) and the client (with which you listen to them).

Package: isdnvboxclient
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    sox | nas-bin | alsa-utils,
Suggests:
    isdnutils-doc,
    isdnvboxserver,
Description: ISDN utilities - answering machine client
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox client, with which you can listen to the
 messages recorded by a vbox server (either running on the same machine or
 accessible over the network).

Package: isdnvboxserver
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    debconf,
    isdnutils-base (= ${binary:Version}),
    openbsd-inetd | inet-superserver,
Suggests:
    isdnvboxclient,
Description: ISDN utilities - answering machine server
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox server, which must be installed on the
 system with the ISDN card. To actually listen to the recorded messages
 you need the client package (isdnvboxclient) somewhere, not necessarily on
 the same system.

Package: capiutils
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
    lsb-base,
    makedev,
Section: net
Description: ISDN utilities - tools for CAPI-capable cards
 Some ISDN cards (notably the AVM active cards, and the AVM passive cards
 when using the proprietary drivers) are accessed via the CAPI interface.
 The package contains utilities to initialize and get information about
 these cards.

Package: pppdcapiplugin
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends},
Section: net
Description: ISDN utilities - pppd plug-in for CAPI support
 Some ISDN cards can be used by CAPI utilities - for instance the AVM
 passive cards. This package provides a plug-in for the regular PPP
 daemon to drive such cards via CAPI.

# Package: isdneurofile
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Section: comm
# Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - EUROFILE support
#  This package provides tools for sending/receiving files over an ISDN
#  connection via the EUROFILE protocol, which is not used much outside of
#  Germany (or even inside it).

=== debian/watch ===
# Upstream was dormant for a number of years but sprung back into life at
# the beginning of 2012.  Sources are now hosted at http://git.misdn.eu
# Upstream tags releases in git for the moment, proper tarball releases
# are scheduled to follow.

#version=3
#opts="dversionmangle=s/.*(2[[:digit:]]+).dfsg.*/$1/,uversionmangle=s/-//g" \
#  ftp://ftp.isdn4linux.de/pub/isdn4linux/CVS-Snapshots/isdn4k-utils-CVS-([-\d\.]*)\.tar\.bz2

## isdnutils 3.25+dfsg1-3.3+6.0trisquel2

=== debian/changelog ===
isdnutils (1:3.25+dfsg1-3.3+6.0trisquel2) toutatis; urgency=low

  * Imported from Debian to get rid of non-free bits

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Mon, 03 Mar 2014 20:40:51 +0100

=== debian/control ===
Source: isdnutils
Section: utils
Priority: extra
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
Uploaders: Jan-Michael Brummer <jan.brummer@tabos.org>
DM-Upload-Allowed: yes
Standards-Version: 3.9.3
Build-Depends: debhelper (>= 9), bzip2, libncurses5-dev | libncurses-dev,
 xutils-dev | imake, tcl-dev, linuxdoc-tools (>=0.9.20), groff, libtool,
 libxaw7-dev, libreadline-dev, libpcap0.8-dev, autotools-dev,
 automake, autoconf, libssl-dev, psutils,
 lsb-release, po-debconf, ppp-dev
Homepage: http://www.isdn4linux.de
Vcs-Git: git://git.debian.org/git/collab-maint/isdnutils.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/isdnutils.git

Package: isdnutils-base
Priority: optional
Architecture: linux-any
Pre-Depends: debconf (>= 1.2.9) | debconf-2.0
Depends: ${shlibs:Depends}, lsb-base (>= 1.3-9ubuntu3), makedev, ${misc:Depends}
Suggests: ipppd, isdnlog, isdnutils-doc, isdnutils-xtools, isdnvboxserver, isdnvboxclient
Description: ISDN utilities - minimal set
 This package provides the basic set of ISDN utilities needed to make use
 of an ISDN card.

Package: isdnutils-xtools
Architecture: linux-any
Section: x11
Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - graphical tools
 This package provides xmonisdn and xisdnload, which are graphical tools
 for ISDN. Each in its own way gives a visual indication of the status of
 the ISDN lines, so that (for example) it is obvious when there is a
 connection.
 .
 They have been split out into a separate package to allow the others
 in the suite to avoid dependencies on the X Window System.

Package: ipppd
Architecture: linux-any
Section: net
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0, ppp, ucf, ${shlibs:Depends}, ${misc:Depends}
Suggests: pdnsd
Description: ISDN utilities - PPP daemon
 This package provides the specially modified version of the Point to
 Point Protocol daemon needed to connect to the Internet through an
 internal ISDN card. It also supports dial-in connections from Windows
 clients.

Package: isdnlog
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), isdnlog-data (>= ${source:Version}),
 debconf (>=1.2.9) | debconf-2.0, ucf, ${shlibs:Depends}, ${misc:Depends}
Description: ISDN utilities - connection logger
 This package provides a set of utilities that can log ISDN connections and
 calculate the cost of calls. If sufficient data is available, it can even
 recommend which alternate carrier would have been cheaper for a given call.
 For countries where calls are charged per discrete unit, it can disconnect
 the line just before the next unit starts.

Package: isdnlog-data
Architecture: all
Depends: ${misc:Depends}
Recommends: isdnlog (>= ${source:Version})
Suggests: isdnutils-doc
Description: ISDN utilities - connection logger data
 This package provides data related to call pricing, area codes, etcetera,
 in various countries, and is only useful with isdnlog.

Package: isdnutils-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: isdnutils-base (= ${source:Version})
Description: ISDN utilities - documentation
 This package includes the FAQ and other miscellaneous documentation
 for the ISDN utilities suite, in English and German.

Package: isdnvbox
Architecture: linux-any
Depends: isdnvboxclient, isdnvboxserver, ${misc:Depends}
Recommends: sox
Description: ISDN utilities - answering machine dependency package
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package depends for convenience on both the vbox server (with which
 the messages are recorded) and the client (with which you listen to them).

Package: isdnvboxclient
Architecture: linux-any
Depends: ${shlibs:Depends}, sox | nas-bin | alsa-utils, ${misc:Depends}
Suggests: isdnvboxserver, isdnutils-doc
Description: ISDN utilities - answering machine client
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox client, with which you can listen to the
 messages recorded by a vbox server (either running on the same machine or
 accessible over the network).

Package: isdnvboxserver
Architecture: linux-any
Depends: isdnutils-base (= ${binary:Version}), debconf (>=1.2.9) | debconf-2.0,
 ${shlibs:Depends}, openbsd-inetd | inet-superserver, ${misc:Depends}
Suggests: isdnvboxclient
Description: ISDN utilities - answering machine server
 Let your Debian system be your answering machine! Messages can be accessed
 remotely, automatically emailed, etc.
 .
 This package provides the vbox server, which must be installed on the
 system with the ISDN card. To actually listen to the recorded messages
 you need the client package (isdnvboxclient) somewhere, not necessarily on
 the same system.

Package: capiutils
Architecture: linux-any
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends},
 lsb-base (>= 1.3-9ubuntu3), makedev, ${misc:Depends}
Section: net
Description: ISDN utilities - tools for CAPI-capable cards
 Some ISDN cards (notably the AVM active cards, and the AVM passive cards
 when using the proprietary drivers) are accessed via the CAPI interface.
 The package contains utilities to initialize and get information about
 these cards.

Package: libcapi20-3
Architecture: linux-any
Section: libs
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI support libraries
 Handle requests from CAPI-driven applications such as fax systems via active
 and passive ISDN cards.
 .
 This package will be installed automatically if needed.

Package: libcapi20-dev
Architecture: linux-any
Section: libdevel
Multi-Arch: same
Depends: libcapi20-3 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Breaks:   isdnutils-base (<< 1:3.22+dfsg1-4)
Replaces: libcapi20-3 (<< 1:3.9.20060704+dfsg.3-4),
 isdnutils-base (<< 1:3.22+dfsg1-4)
Suggests: isdnutils-doc
Description: ISDN utilities - CAPI development libraries
 This package provides files needed for development of CAPI-aware software.

Package: pppdcapiplugin
Architecture: linux-any
Depends: ppp (>= 2.4.4), ppp (<< 2.4.6), libcapi20-3 (= ${binary:Version}),
 ${shlibs:Depends}, ${misc:Depends}
Section: net
Description: ISDN utilities - pppd plug-in for CAPI support
 Some ISDN cards can be used by CAPI utilities - for instance the AVM
 passive cards. This package provides a plug-in for the regular PPP
 daemon to drive such cards via CAPI.

# Package: isdnactivecards
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Depends: isdnutils-base (= ${binary:Version}), capiutils (>= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - active ISDN card support
#  This package provides firmware and firmware-loading utilities for active
#  ISDN cards (the Eicon, Eicon Diva, IBM Active 2000, ICN, or PCBIT-D cards).

# Package: isdneurofile
# Architecture: alpha amd64 arm armeb armel armhf hppa i386 ia64 m68k mips mipsel powerpc ppc64 sparc s390 sh4 sparc64
# Section: comm
# Depends: isdnutils-base (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
# Description: ISDN utilities - EUROFILE support
#  This package provides tools for sending/receiving files over an ISDN
#  connection via the EUROFILE protocol, which is not used much outside of
#  Germany (or even inside it).
